de.caff.generics.converter

## Class StringSplitTypeConverter

- java.lang.Object
- - de.caff.generics.converter.StringSplitTypeConverter

- All Implemented Interfaces:
    Function1<java.util.List<java.lang.String>,java.lang.String>, java.util.function.Function<java.lang.String,java.util.List<java.lang.String>>

      public class StringSplitTypeConverter
      extends java.lang.Object
      implements Function1<java.util.List<java.lang.String>,java.lang.String>

  String split type converter.

  Splits a string into parts, defined by a split pattern.

  Author:
    Rammi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringSplitTypeConverter(java.util.regex.Pattern pattern)` Constructor.
    `StringSplitTypeConverter(java.lang.String splitPattern)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `apply(java.lang.String object)` Convert an object to another type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.function.Function1

      `after, andThen, applyNonNull, applyOrDefault, fallback, fallback, from, from, nonFragile, nonFragile, nonFragileX, partial, withFallback`

    - ### Methods inherited from interface java.util.function.Function

      `compose, identity`

- - ### Constructor Detail

    - #### StringSplitTypeConverter

          public StringSplitTypeConverter(java.util.regex.Pattern pattern)

      Constructor.
      Parameters:
        `pattern` - split pattern

    - #### StringSplitTypeConverter

          public StringSplitTypeConverter(java.lang.String splitPattern)

      Constructor.
      Parameters:
        `splitPattern` - split pattern, see `Pattern.compile(String)`

  - ### Method Detail

    - #### apply

          public java.util.List<java.lang.String> apply(java.lang.String object)

      Convert an object to another type.
      Specified by:
        `apply` in interface `java.util.function.Function<java.lang.String,java.util.List<java.lang.String>>`
      Parameters:
        `object` - object to convert
      Returns:
        target object